- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.FetchParserCandidatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#body.aspect_1)
- [ParserAction](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#ParserAction)

**Full name**: projects.locations.instances.logTypes.parsers.fetchParserCandidates

parsers.fetchParserCandidates fetches the parser candidates for a given log type.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}/parsers:fetchParserCandidates`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name, which owns this collection of parsers. Format: projects/{project}/locations/{region}/instances/{instance}/logTypes/{logType}/parsers/{parser} |

### Query parameters

| Parameters ||
|---|---|
| `parserAction` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers/fetchParserCandidates#ParserAction`)`` Required. Customer action for which the customer needs candidates. |

### Request body

The request body must be empty.

### Response body

Response message for parsers.fetchParserCandidates.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "candidates": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers#Parser`) } ] } ``` |

| Fields ||
|---|---|
| `candidates[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.parsers#Parser`)`` Output only. The candidates to which customer can move to. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.parsers.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ParserAction

ParserAction represents the action that the customer can take on a parser.

| Enums ||
|---|---|
| `PARSER_ACTION_UNSPECIFIED` | The action is not specified. |
| `PARSER_ACTION_UPGRADE` | The action is to upgrade the parser. |
| `PARSER_ACTION_ROLLBACK` | The action is to rollback the parser. |
| `PARSER_ACTION_OPT_IN_TO_PREVIEW` | The action is to opt in to preview. |
| `PARSER_ACTION_OPT_OUT_OF_PREVIEW` | The action is to opt out of preview. This action is only valid for parsers which have been opted into preview. |